@import "./_variables";
@import "./_mixins";

// Task item component styles
.task-item {
  @include card;
  margin: $spacing-unit 0;
  background-color: $card-bg-color;

  &--completed {
    background-color: $completed-bg-color;

    .task-item__title,
    .task-item__description {
      color: $completed-text-color;
      text-decoration: line-through;
    }
  }

  &__content {
    @include flex-center;
    padding: $spacing-unit;
    background-color: $background-color;
  }

  &__details {
    flex-grow: 1;
    margin-left: $spacing-unit;

    &__title {
      margin: 0;
      font-size: $font-size-large;
      color: $primary-color;
    }

    &__description {
      margin: 0.5rem 0 0;
    }
  }
}
